package net.mcreator.puzzle_code.procedures;

import net.minecraft.world.level.LevelAccessor;
import net.minecraft.client.gui.components.EditBox;

import java.util.HashMap;

public class EditGetNBTProcedure {
	public static void execute(LevelAccessor world, double x, double y, double z, HashMap guistate) {
		if (guistate == null)
			return;
		if (guistate.get("text:getNBTField") instanceof EditBox _tf)
			_tf.setValue(GetNBTTextSystemProcedure.execute(world, x, y, z, "getNBT"));
	}
}
